using System;

namespace kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string red = Console.ReadLine();
            string[] delovi = red.Split(' ');
            string a1 = delovi[0] + delovi[1] + delovi[2];
            string a2 = delovi[0] + delovi[2] + delovi[1];
            string a3 = delovi[1] + delovi[0] + delovi[2];
            string a4 = delovi[1] + delovi[2] + delovi[0];
            string a5 = delovi[2] + delovi[1] + delovi[0];
            string a6 = delovi[2] + delovi[0] + delovi[1];
            string m=a1;
            if (string.Compare(m, a2) == -1)
                m = a2;
            if (string.Compare(m, a3) == -1)
                m = a3;
            if (string.Compare(m, a4) == -1)
                m = a4;
            if (string.Compare(m, a5) == -1)
                m = a5;
            if (string.Compare(m, a6) == -1)
                m = a6;
            Console.WriteLine(m);
            Console.ReadKey();
        }
    }
}